# dkim_get_user_context()

[back to index]

SYNOPSIS |
    #include <dkim.h>
    	void * dkim_get_user_context(
    	DKIM *dkim
    );
Retrieves an opaque user context pointer previously associated with a `DKIM` handle by a call to `dkim_set_user_context()`, if any.
DESCRIPTION |
Called When | `dkim_get_user_context()` can be called at any time.
ARGUMENTS |
Argument | Description
--- | ---
dkim | Message-specific signing handle, returned by `dkim_sign()` or `dkim_verify()`.
RETURN VALUES | The user-specific context pointer previously associated with the named handle via a call to `dkim_set_user_context()`, if any. If none has been set, the value NULL will be returned.
NOTES | None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009-2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions get forth in the respective licenses.